<template>
  <div class="home">
    <VueTree :tree="tree" :defaultExpand="defaultExpand" :option="option"/>
  </div>
</template>

<script>
import VueTree from "@/components/VueTree.vue";

export default {
  name: "Home",
  components: {
    VueTree
  },
  data() {
    return {
      tree: [
        {
          label: "一级 1",
          children: [
            {
              label: "二级 1-1",
              children: [
                {
                  label: "三级 1-1-1"
                }
              ]
            }
          ]
        },
        {
          label: "一级 2",
          children: [
            {
              label: "二级 2-1",
              children: [
                {
                  label: "三级 2-1-1"
                }
              ]
            },
            {
              label: "二级 2-2",
              children: [
                {
                  label: "三级 2-2-1"
                }
              ]
            }
          ]
        },
        {
          label: "一级 3",
          children: [
            {
              label: "二级 3-1",
              children: [
                {
                  label: "三级 3-1-1"
                }
              ]
            },
            {
              label: "二级 3-2",
              children: [
                {
                  label: "三级 3-2-1"
                }
              ]
            }
          ]
        }
      ],
      defaultExpand: false,
      option: {
        visibleCount:5,
        itemHeight:50
      }
    };
  }
};
</script>
